<template>
  <main id="home">

    <div class="alternative-to big-container color-container">
      <div class="jpt-container two-columns responsive-reverse">
        <div class="left">
          <h1>
            <strong>{{ $gettext('An alternative to Big Tech\'s video platforms') }}</strong>
          </h1>

          <div class="small-separator"></div>

          <p>
            <SafeHTML>
              {{ $gettext('PeerTube is a tool for sharing online videos developed by <a target="_blank" rel="noopener noreferrer" href="https://framasoft.org">Framasoft</a>, a french non-profit.', true) }}
            </SafeHTML>
          </p>
        </div>

        <div class="right">
          <SVGContainer1></SVGContainer1>
        </div>
      </div>

      <div class="fresh-news-card d-flex">
        <div class="img-container flex-shrink-0 me-4">
          <picture>
            <source :srcset="buildImgUrl('home/fresh-news-mobile.webp')" type="image/webp">

            <img width="220" height="317" :src="buildImgUrl('home/fresh-news-mobile.png')" alt="">
          </picture>
        </div>

        <div class="mt-3">
          <h2>
            <strong>{{ $gettext('PeerTube is getting a mobile app, plus a remodel for its v7!') }}</strong>
          </h2>

          <p class="fs-5">
            <SafeHTML>
              {{ $gettext('The <strong>PeerTube mobile app</strong> for <a href="https://play.google.com/store/apps/details?id=org.framasoft.peertube" target="_blank">Android</a> & <a href="https://apps.apple.com/fr/app/peertube/id6737834858" target="_blank">iOS</a> is out!', true) }}
            </SafeHTML>

            {{ $gettext('Discover, browse and play videos from your mobile, in an app designed with cares for your attention.') }}

            <SafeHTML>{{ $gettext(' As for PeerTube, its <strong>v7 brings a complete remodel of its interface</strong>. New themes, menus and displays... with an improved accessibility.') }}</SafeHTML>
          </p>

          <router-link class="fs-5" to="/news/release-7.0">
            {{ $gettext('Learn more and support Framasoft') }}
          </router-link>
        </div>
      </div>
    </div>

    <div class="jpt-container what-is-peertube two-columns">
      <div class="left">
        <picture>
          <source :srcset="buildImgUrl('home/what-is-peertube.webp')" type="image/webp">

          <img width="500" height="429" :src="buildImgUrl('home/what-is-peertube.png')" alt="">
        </picture>
      </div>

      <div class="right">
        <h2>
          <strong>{{ $gettext('What is PeerTube?') }}</strong>
        </h2>

        <div class="small-separator"></div>

        <h3>
          <SafeHTML>
            {{ $gettext('<strong>PeerTube allows you to create your own video platform,</strong> in complete independence.', true) }}
          </SafeHTML>
        </h3>

        <p>
          {{ $gettext('With PeerTube, no more opaque algorithms or obscure moderation policies! PeerTube platforms you visit are built, managed and moderated by their owners.') }}
        </p>

        <p>
            <SafeHTML>
              {{ $gettext('PeerTube allows platforms to be connected to each other, creating a <strong>big network</strong> of platforms that are both autonomous and interconnected.', true) }}
            </SafeHTML>
        </p>

        <p>
          <SafeHTML>
            {{ $gettext('<strong>Moreover, PeerTube does not depend on any advertising and does not track you!</strong>', true) }}
          </SafeHTML>
        </p>
      </div>

    </div>

    <FindPeerTube></FindPeerTube>

    <div class="jpt-container free-software two-columns">
      <div class="left">
        <h2>
          <SafeHTML>
            {{ $gettext('<strong>PeerTube is not subject to the monopoly</strong> of any company', true) }}
          </SafeHTML>
        </h2>

        <div class="small-separator"></div>

        <p>
          <SafeHTML>
            {{ $gettext('Like the other tools developed by <a target="_blank" rel="noopener noreferrer" href="https://framasoft.org/en">Framasoft</a>, <strong>PeerTube considers you as a person and not as a product</strong> to be profiled and locked in video loops.', true) }}
          </SafeHTML>
        </p>

        <p>
          {{ $gettext('PeerTube is free, open-source, created for non-commercial purposes.') }}
        </p>
      </div>

      <div class="right">
        <h2>
          <SafeHTML>
            {{ $gettext('An ethical and open source <strong>digital common</strong>', true) }}
          </SafeHTML>
        </h2>

        <div class="small-separator"></div>

        <p>
          <SafeHTML>
            {{ $gettext('<strong>PeerTube belongs to you. At any time, you can help us <a target="_blank" rel="noopener noreferrer" href="https://ideas.joinpeertube.org/">to improve PeerTube</a></strong> with your ideas, suggestion or by modifying the source code yourself.', true) }}
          </SafeHTML>
        </p>

        <p>
          {{ $gettext('PeerTube is a free software, not a secret formula that belongs to Google (in the case of Youtube) or to Vivendi/Bolloré (Dailymotion). This free/libre license guarantees our fundamental freedoms as users.') }}
        </p>
      </div>
    </div>

    <Donate></Donate>

    <FAQExtract>
      <FAQWhatIsPeerTube></FAQWhatIsPeerTube>
      <FAQPurpose></FAQPurpose>
      <FAQAdvantages></FAQAdvantages>
    </FAQExtract>
  </main>
</template>

<script>
  import { defineComponent } from 'vue'

  import { useGettext } from 'vue3-gettext'
  import { useHead } from '@vueuse/head'

  import FindPeerTube from '../components/home/FindPeerTube.vue'
  import Donate from '../components/home/Donate.vue'

  import FAQExtract from '../components/faq/FAQExtract.vue'
  import FAQWhatIsPeerTube from '../components/faq/common/FAQWhatIsPeerTube.vue'
  import FAQPurpose from '../components/faq/common/FAQPurpose.vue'
  import FAQAdvantages from '../components/faq/common/FAQAdvantages.vue'

  import { buildHead } from '../shared/head'

  import SVGContainer1 from '../svg/home/container-1.svg'

  export default defineComponent({
    components: {
      FAQExtract,
      FAQWhatIsPeerTube,
      FAQPurpose,
      FAQAdvantages,

      FindPeerTube,
      Donate,

      SVGContainer1
    },

    setup () {
      const { $gettext } = useGettext()

      return useHead(buildHead({
        title: $gettext('What is PeerTube?'),

        url: import.meta.env.VITE_URL
      }))
    }
  })
</script>

<style lang="scss" scoped>
  @import '../scss/_variables.scss';
  @import '../scss/_mixins.scss';
  @import '../scss/bootstrap-mixins.scss';

  #home {
    .alternative-to {
      h1 {
        @include margin-top(1rem);
      }

      h3 {
        margin-bottom: 20px;
      }

      p {
        @include font-size(1.5rem);
      }

      .right {
        position: relative;

        svg {
          @include rfs(31rem, width);
          @include rfs(-6.5rem, top);

          height: auto;
          position: absolute;
        }
      }

      @include media-breakpoint-down(md) {
        .right svg {
          position: relative;
          top: 0;
        }
      }
    }

    .what-is-peertube {
      @include margin-top(3.5rem);

      > * {
        @include margin-top(1.5rem);
      }

      img {
        height: auto;
      }
    }

    .free-software {
      @include margin-top(3.5rem);

      > * {
        @include margin-top(1.5rem);
      }
    }

    .fresh-news-card {
      border-radius: .25rem;
      box-shadow: .125rem .125rem .25rem #a0abc0;
      max-width: 930px;

      @include margin(2rem auto);
      @include padding(2rem);

      background: white url(/img/home/fresh-news-card-background.jpg) repeat-y top;

      @supports (background-image: url(/img/home/fresh-news-card-background.webp)) {
        background: white url(/img/home/fresh-news-card-background.jpg) repeat-y top;
      }

      @include media-breakpoint-down(md) {
        .img-container {
          display: none;
        }
      }

      a {
        @include peertube-link;
      }
    }
  }
</style>
